"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultExLogger = exports.defaultDispatcherOptions = exports.defaultKnexOptions = void 0;
exports.defaultKnexOptions = {
    client: 'pg',
    pool: {
        min: 0,
        max: 10,
        acquireTimeoutMillis: 40000,
        createTimeoutMillis: 50000,
        idleTimeoutMillis: 45000,
        reapIntervalMillis: 1000,
    },
    acquireConnectionTimeout: 10000,
};
exports.defaultDispatcherOptions = {
    healthcheckInterval: 5000,
    healthcheckTimeout: 700,
    suppressStatusLogs: false,
    beforeTerminate: () => Promise.resolve(),
};
exports.defaultExLogger = {
    info(...args) {
        // eslint-disable-next-line no-console
        console.log(...args);
    },
    error(...args) {
        // eslint-disable-next-line no-console
        console.error(...args);
    },
};
