import type { Knex } from 'knex';
import { PGDispatcher } from './dispatcher';
import type { BaseModel, ExLogger } from './types';
export interface CoreDBDispatcherOptions {
    healthcheckInterval?: number;
    healthcheckTimeout?: number;
    suppressStatusLogs?: boolean;
    beforeTerminate?: () => Promise<void>;
}
export interface CoreDBConstructorArgs {
    connectionString: string;
    dispatcherOptions?: CoreDBDispatcherOptions;
    knexOptions?: Knex.Config;
    logger?: ExLogger;
}
export declare function getModel(): typeof BaseModel;
export declare function initDB({ connectionString, dispatcherOptions, knexOptions, logger, }: CoreDBConstructorArgs): {
    db: PGDispatcher;
    CoreBaseModel: typeof BaseModel;
    helpers: {
        clearDatabase: () => Promise<void>;
        rollbackDatabase: (args?: {
            onlyOne: boolean;
        }) => Promise<void>;
        migrateDatabase: (args?: {
            onlyOne: boolean;
        }) => Promise<void>;
        prepareDatabase: () => Promise<void>;
    };
};
